Subject: Re: [Internet]linux-next: build warning after merge of the net-next tree

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Aug 2022 10:42:08 -0700

On Thu, 25 Aug 2022 07:55:36 +0000 imagedong(董梦龙) wrote:
> > After merging the net-next tree, today's linux-next build (htmldocs)
> > produced this warning:
> > 
> > Documentation/networking/kapi:26: net/core/skbuff.c:780: WARNING: Error in declarator or parameters
> > Invalid C declaration: Expecting "(" in parameters. [error at 19]
> >   void __fix_address kfree_skb_reason (struct sk_buff *skb, enum skb_drop_reason reason)
> >   -------------------^
> > 
> > Introduced by commit
> > 
> >   c205cc7534a9 ("net: skb: prevent the split of kfree_skb_reason() by gcc")
> >   
> 
> Yeah, I commited this patch. May I ask what command did you use to
> produce this warning? I tried the following command, but not success:
> 
>   make V=2 SPHINXDIRS="networking" htmldocs
> 
> Hmm.......what does this warning means? Does it don't like this
> function attribute?

It popped up for me on a clean build of

	make htmldocs

There's a lot of other warnings but you should see this one, too.

I think you need to add the new keyword to one of the tables in
Documentation/conf.py